Bug 52208 - X memory leak
X memory leak
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-21 14:32 EDT by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-13 22:47:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-21 14:32:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12 i686)

Description of problem:
Redhat 7.1 with kernel 2.4.3-12 would crash after 4 or 5 days of running
applications with large memory.  If we run a C program that consumes over
250MB of memory, we would lose X display after a few days.  Logging out of
the desktop would then crash the machine.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run a large memory program.  One that would cause the system to use more
than 1/2 its swap space
2. After a week of continuously running the program, the desktop will no
longer work, i.e. the desktop buttons won't be able to start new
applications.  X display is lost.
3. Logout and the computer will crash.
	

Additional info:
Comment 1 Mike A. Harris 2002-02-13 22:47:38 EST
Try upgrading to the current erratum kernel+XFree86.  Does this fix
the problem?

Note You need to log in before you can comment on or make changes to this bug.